import request from "@/utils/httpRequest";
import { ASSESS_PATH as prefix } from "../../AppPath";


export default class SignatureDailyService {
  list (param) {
    return request({
      url: prefix + '/assess/signatureDaily/list',
      method: 'get',
      params: param
    })
  }

  saveForm (param) {
    return request({
      url: prefix + '/assess/signatureDaily/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: prefix + '/assess/signatureDaily/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: prefix + '/assess/signatureDaily/remove',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: prefix + '/assess/signatureDaily/updateStatusById',
      method: 'post',
      data: param
    })
  }

  exportFile (params) {
    return request({
      url: prefix + '/assess/signatureDaily/exportFile',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
	saveFlowableParam (inputForm) {
		return request({
			url: prefix + `/assess/signatureDaily/saveFlowableParam`,
			method: 'post',
			data: inputForm
		})
	}

	getAuditNodeById (id) {
		return request({
			url: prefix + '/assess/signatureDaily/getAuditNodeById',
			method: 'get',
			params: {id: id}
		})
	}
	getSignatureTypeById(id) {
		return request({
			url: prefix + '/assess/signatureDaily/getSignatureTypeById',
			method: 'get',
			params: {id: id}
		})
	}

}
